[Pharo-project] Loading FFI into Pharo?

Mariano Martinez Peck marianopeck at gmail.com
Fri Oct 22 06:46:06 EDT 2010


On Fri, Oct 22, 2010 at 12:42 PM, Friedrich Dominicus <
frido at q-software-solutions.de> wrote:

> Norbert Hartl <norbert at hartl.name> writes:
>
> >
> > You don't need a 64 bit image. If you have a 64 bit operating system than
> you
> > can only execute 64 bit executables. In linux there are 32 bit
> compatibility
> > libraries. The offer a 32 bit interface and mediate this to 64 bit. So
> you can
> > run a 32 bit vm with compat libraries or native 64 bit vm. The same goes
> for
> > code that you want to link to the vm,
> Ok, but it means to use Pharo 32 -bit with unixodbc I better have the
> 32-bit files of unixodbc installed. I'm having that currently but, I
> still can not connect to Postgres.


Why not trying SqueakDBX or the native postgres driver ?


I guess I will have to delve into
> this quite a bit deeper.
>
> Regards
> Friedrich
>
> --
> Q-Software Solutions GmbH; Sitz: Bruchsal; Registergericht: Mannheim
> Registriernummer: HRB232138; Geschaeftsfuehrer: Friedrich Dominicus
>
> _______________________________________________
> Pharo-project mailing list
> Pharo-project at lists.gforge.inria.fr
> http://lists.gforge.inria.fr/cgi-bin/mailman/listinfo/pharo-project
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.pharo.org/pipermail/pharo-dev_lists.pharo.org/attachments/20101022/f26a9d48/attachment-0001.html>


More information about the Pharo-dev mailing list